using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using A8ERP.Common;
using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiGou.CaiGouTongZhiDanTongJiFenXi
{
    public partial class W_TZD_JQDCM
    {
        public W_TZD_JQDCM()
        {

        }
        public override void OnLoad()
        {

            dw_Host.AllowCreate = true;
            dw_Host.AllowRetrieve = true;

            base.OnLoad();
            if (!(Page == null))
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_TZD_JQDCM", "/CaiGou/CaiGouTongZhiDanTongJiFenXi/W_TZD_JQDCM.win.js?JSV=" + AppService.GetJSVesion());


            }
            string curCm = A8ERP.Common.DWServiceHelp.GetCMByString1();
            dw_Host.StringData1 = curCm;
            this.IsRegisterScriptFile = false;
        }
    }
}
